> For the complete documentation index, see [llms.txt](https://docs.init.capital/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.init.capital/lending/lending-apr.md).

# Lending APR

inToken holders receive continuous earnings depending on market conditions based on:

1. Lending pool utilization: Higher utilization means liquidity in the pool is more scarce, which leads to higher APR
2. Borrowing interest: Lenders share the interests paid by the borrowers corresponding to the borrowing rate and the utilization

The lending APR is derived as:

`Lending APR = Utilization Rate * borrow_interest_func(utilization) * (1 - reserve_factor)`

* where the `borrow_interest_func` is the double-slope interest rate model and `reserve_factor` is the protocol fee
* Each asset has its own market supply and demand with its own lending APR that constantly evolves.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.init.capital/lending/lending-apr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
